curl "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"resolved_at": null,
"created_at": "2026-01-15T10:30:00.000Z",
"services": [
{ "id": "660e8400-e29b-41d4-a716-446655440000", "name": "API" }
],
"updates": [
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"status": "investigating",
"message": "We are looking into this",
"created_at": "2026-01-15T10:35:00.000Z"
}
]
}
Get a single incident by ID with all updates
curl "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"resolved_at": null,
"created_at": "2026-01-15T10:30:00.000Z",
"services": [
{ "id": "660e8400-e29b-41d4-a716-446655440000", "name": "API" }
],
"updates": [
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"status": "investigating",
"message": "We are looking into this",
"created_at": "2026-01-15T10:35:00.000Z"
}
]
}
curl "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"title": "Database connectivity issues",
"status": "investigating",
"severity": "major",
"started_at": "2026-01-15T10:30:00.000Z",
"resolved_at": null,
"created_at": "2026-01-15T10:30:00.000Z",
"services": [
{ "id": "660e8400-e29b-41d4-a716-446655440000", "name": "API" }
],
"updates": [
{
"id": "770e8400-e29b-41d4-a716-446655440000",
"status": "investigating",
"message": "We are looking into this",
"created_at": "2026-01-15T10:35:00.000Z"
}
]
}